Getting error when running install-app erpnext

I’am getting issue while installing erpnext version 14,

When running bench --site example.com install-app erpnext I get
Could not find app "payments"

Let me know if I miss any installation step.

Do bench get-app payments before installing erpnext

2 Likes

Hi Ankush,

Sounds like an easy fix. :+1:

Can you provide some background about this new Payments App, and why it’s a prerequisite for the ERPNext App? The official GitHub page doesn’t provide that context.

This is bit confusing but due to the separation of payments related code into the separate app, that app is now a dependency of ERPNext (for use in POS, E-commerce etc etc)

We need to update installation docs related to this to clearly reflect requirements. cc @ritwik

btw bench also has --resolve-deps flag that automatically resolves dependencies when installing new apps. You might have seen this message when doing get-app:

Ignoring dependencies of https://github.com/frappe/erpnext. To install dependencies use --resolve-deps
1 Like

By going through source of the payments app I can see all the payment gateway related code is part of the app. I just went through doctypes.

Good thing for developers using only frappe framework. Now they can integrate payment gateways without installing ERPNext.

It only gives more power to community.

That part I understand. It’s good that Frappe Framework, by itself, can use them.

However, ERPNext App doesn’t “need” payment gateways, per say. It’s possible to create payments without them. They’re optional, imo.

Just trying to understand:

  1. Whether ERPNext requiring Payments App was intentional. Or a mistake.
  2. The reasoning why it’s a mandatory dependency.

Sorry Ankush, this sentence was not clear. ERPNext does depend on Payments? Or does not (should not)?

Oh damn. It was a typo.

it’s NOW become a dependency of ERPNext

2 Likes

Hey, sorry for the late reply.

It was intentional. The way I thought of this was that it can currently be a dependency for erpnext so all the apps which were separated from/dependant on erpnext (non_profit, etc) would not need to install the payments app separately. Another reason was that erpnext has some doctypes which use those doctypes/utils and we were supposed to separate these before v14 release hence I wasn’t able to completely explore erpnext’s linkages :stuck_out_tongue:.

We can move out the linkages from erpnext in the coming months in order to remove the dependancy on erpnext.

Thanks.

1 Like